Create a charge

Captures a singular payment attempt by a customer for a subscription.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

{
  "external_id": "charge_1",
  "amount": 1000,
  "currency": "EUR",
  "subscription_id": "d6c50974-70c7-49f8-b50c-797bcefbdeb1",
  "status": “succeeded”,
  "paid_at": "2024-04-01T17:20:32.689474Z",
  "metadata": { 
    "invoice_id": “April_2024”,
    "invoice_due_date": "2024-04-01T17:28:33.689374Z",
  }
}

Returns
A subscription charge object is returned if the charge creation succeeded. This call will return an error if something goes wrong.

Parameters

Body Params
string
required

A unique external identifier for the subscription charge.

string
required

Positive integer representing the amount in cents intended to be collected by this payment.

string
required

Three-letter ISO 4217 currency code, in uppercase. Must be a supported currency.

string
required

The identifier of the subscription associated to this charge.

string
required

The status of the payment, one of 'SUCCEEDED' or 'FAILED'.

string

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

date-time

Time at which the payment was successfully charged, if any. Formatted as a RFC 3339 timestamp.

Language
LoadingLoading…